API SpecificationIntegration Admin
Revoke integration API key
Disables API key authentication for the integration and deletes the stored key.
Authorization
OAuth2 upl:privateAuthorizationBearer <token>
OAuth 2.0 authorization
In: header
Scope: upl:private
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
integrationId?string
Format
uuid[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.IntegrationAdminService/RevokeIntegrationApiKey" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Regenerate integration API key POST
Generates (or rotates) an API key for the integration. Enables API-key-only write access to the integration's scoped resources. The raw key is returned once.
Upsert integration POST
Creates or updates an integration for an OAuth client, with ownership verification. Application association is derived from the client.